> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/panther-developer-workflows/api/rest/log-sources.md).

# Log Sources

## Overview

Use these API operations to interact with [log sources](/data-onboarding.md) in Panther. The following sources and operations are supported:

**Log Source Types:**

* [Google Cloud Storage (GCS) Sources](/panther-developer-workflows/api/rest/log-sources/gcs-sources.md)
* [HTTP Sources](/panther-developer-workflows/api/rest/log-sources/http-sources.md)
  * This does not include [supported log sources](/data-onboarding/supported-logs.md) that use HTTP as their transport mechanism.
* [Pub/Sub Sources](/panther-developer-workflows/api/rest/log-sources/pubsub-sources.md)
* [S3 Sources](/panther-developer-workflows/api/rest/log-sources/s3-sources.md)

To manage drop-off alarms on a log source, see [Log Source Alarms](/panther-developer-workflows/api/rest/log-source-alarms.md).

To call the API, see the [How to use the Panther REST API](/panther-developer-workflows/api/rest.md#how-to-use-the-panther-rest-api) instructions—including [directions for how to invoke it directly from this documentation page](/panther-developer-workflows/api/rest.md#step-3-invoke-the-panther-rest-api).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/panther-developer-workflows/api/rest/log-sources.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
